## Class context

zeep::xml::context

## Synopsis

    // In header: </build/libzeep-8SPbhu/libzeep-3.0.5/zeep/xml/xpath.hpp>

    class context {
    public:

      // public member functions
      template<typename T> void set(const std::string &, const T &);
      template<typename T> T get(const std::string &);
    };

## Description

XPath's can contain variables. And variables can contain all kinds of data like strings, numbers and even node_sets. If you want to use variables, you can define a context, add your variables to it and then pass it on in the xpath::evaluate method.

### `context` public member functions

1.     template<typename T> void set(const std::string & name, const T & value);

2.     template<typename T> T get(const std::string & name);